### Constructor

# Gtk LinkButton new_with_label

#### Declaration [src]

    GtkWidget*
    gtk_link_button_new_with_label (
      const char* uri,
      const char* label
    )

#### Description [src]

Creates a new `GtkLinkButton` containing a label.

#### Parameters

`uri`

  Type: `const char*`

  A valid URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const char*`

  The text of the button.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new link button widget.

The data is owned by the called function.